Package org.h2.mvstore

# Enum Class MVMap.Decision

java.lang.Object
java.lang.Enum<MVMap.Decision>
org.h2.mvstore.MVMap.Decision

All Implemented Interfaces:
  `Serializable`, `Comparable<MVMap.Decision>`, `Constable`

Enclosing class:
  `MVMap<K,V>`

public static enum MVMap.Decision extends Enum<MVMap.Decision>
The decision on what to do on an update.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ABORT`
`PUT`
`REMOVE`
`REPEAT`

## Method Summary

Modifier and Type
Method
Description
`static MVMap.Decision`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MVMap.Decision[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ABORT

public static final MVMap.Decision ABORT

### REMOVE

public static final MVMap.Decision REMOVE

### PUT

public static final MVMap.Decision PUT

### REPEAT

public static final MVMap.Decision REPEAT

## Method Details

### values

public static MVMap.Decision[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MVMap.Decision valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null